Public Class ClsUsuariosObtenerId
    Implements IUsuariosObtenerId

    Private conexion As IPrixusConexion

    Public Sub New(conexion As IPrixusConexion)
        Me.conexion = conexion
    End Sub


    Public Function ObtenerIdUsuario(usuarioNumeroLegal As String) As String Implements IUsuariosObtenerId.ObtenerIdUsuario
        Dim resultado As String = ""

        Dim mensajerError = ""

        Try
            'ToDo: Validaciones

            Dim parametros As New List(Of SqlClient.SqlParameter) From {
                New SqlClient.SqlParameter("@numeroLegal", usuarioNumeroLegal)}

            Dim bdResultado = conexion.ObtenerObjeto("sp_usuariosObtenerId", parametros, CommandType.StoredProcedure, mensajerError)

            If (Not IsNothing(bdResultado) AndAlso IsNumeric(bdResultado)) Then
                resultado = bdResultado.ToString.Trim
            End If
        Catch ex As Exception
            Console.WriteLine($"{mensajerError}. {ex.Message}")
        End Try

        Return resultado
    End Function
End Class
